Update webhook
curl --request PATCH \
--url https://api.simplified-webhooks.com/webhooks/update/{webhookId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"webhookUrl": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.simplified-webhooks.com/webhooks/update/{webhookId}"
payload = {
"webhookUrl": "<string>",
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({webhookUrl: '<string>', name: '<string>'})
};
fetch('https://api.simplified-webhooks.com/webhooks/update/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"webhookId": "<string>",
"webhookUrl": "<string>",
"name": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}{
"message": "<string>",
"code": "<string>"
}Webhooks
Update webhook
Change the HTTPS URL and/or display name of a webhook. At least one of webhookUrl or name is required. Pass name as null or empty to clear the label.
PATCH
/
webhooks
/
update
/
{webhookId}
Update webhook
Authorizations
Your Simplified Webhooks API key, sent as a bearer token: Authorization: Bearer sk_.... Create API keys in your profile settings.
Path Parameters
The unique identifier of the webhook.
Example:
"20c775ff-666c-42d7-b4db-26e4af4e43c7"
Body
application/json